;
; Kitaro's Silk Road rendition in LoD Player 2 Modified
;
; Original Amiga Module by Geir Hongro
;
; Original Player by Csabo of Legion of Doom
;
; Modified by gerliczer
;
; 2021-01-02..2023-10-27
;


lp2m_envelope
env02
	db $08, $08, $08, $08, $08, $08, $08, $08
	db $08, $08, $08, $08, $08, $08, $08, $08
	db $07, $07, $06, $06
	db $05, $04, $05, $06, $06, $06, $06, $06, $06, $06, $05, $04
	db $05, $04, $05, $06, $06, $06, $06, $06, $06, $06, $05, $04
	db $05, $04, $05, $06, $06, $06, $06, $06, $06, $06, $05, $04
	db $05, $04, $05, $06, $06, $06, $06, $06, $06, $06, $05, $04
	db $FF
env03
	db $08, $08, $08, $08, $08
	db $07, $07, $07, $07, $07, $06, $07, $06, $07, $06, $06, $06, $06, $06
	db $05, $05, $05, $05, $05, $04, $05, $04, $05, $04, $04, $04, $04, $04
	db $03, $03, $03, $03, $03, $02, $03, $02, $03, $02, $02, $02, $02, $02
	db $FF

lp2m_vibrato
vib02
	db $00, $01, $00, $03, $00, $FF
vib03
	db $00, $01, $03, $FF
vib04
	db $00, $01, $00, $03, $00, $01, $00, $03, $FF
vib05
	db $00, $00, $06, $06, $00, $00, $03, $03
	db $00, $00, $06, $06, $03, $03, $FF
vib06
	db $00, $00, $03, $03, $00, $00, $02, $02
	db $00, $00, $03, $03, $02, $02, $FF
vib07
	db $00, $00, $03, $03, $00, $00, $01, $01
	db $00, $00, $03, $03, $01, $01, $FF
vib08
	db $00, $83, $00, $81, $FF

Volume100
	ENVELOPE EFFECT_OFF
	INST     INS_VIBRATO
	VOLUME   8
EmptyDelay
	NOTE     OFF, 2
	END_PTN

pattern00a
	ENVELOPE env03
	VIBRATO  vib03
	NOTE     C_6, 47
	NOTE     OFF, 1
	NOTE     A_5, 47
	NOTE     OFF, 1
	NOTE     E_5, 47
	NOTE     OFF, 1
	NOTE     C_5, 47
	NOTE     OFF, 1
	END_PTN

pattern01
	NOTE     B_5, 47
	NOTE     OFF, 1
	NOTE     G_5, 47
	NOTE     OFF, 1
	NOTE     E_5, 47
	NOTE     OFF, 1
	NOTE     B_4, 47
	NOTE     OFF, 1
	END_PTN

pattern02
	NOTE     D_5, 47
	NOTE     OFF, 1
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib05
 	VOLUME	 6
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     E_4, 23
	NOTE     OFF, 1
	END_PTN

pattern03
	NOTE     G_4, 47
	NOTE     OFF, 1
	NOTE     G_4, 23
	NOTE     OFF, 1
	NOTE     A_4, 23
	NOTE     OFF, 1
	NOTE     B_4, 47
	NOTE     OFF, 1
	NOTE     B_4, 23
	NOTE     OFF, 1
	NOTE     D_5, 23
	NOTE     OFF, 1
	NOTE     E_5, 35
	NOTE     OFF, 1
	NOTE     Fi5, 11
	NOTE     OFF, 1
	NOTE     E_5, 11
	NOTE     OFF, 1
	NOTE     D_5, 23
	NOTE     OFF, 1
	NOTE     B_4, 59
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	NOTE     D_5, 23
	NOTE     OFF, 1
	END_PTN

pattern04
	NOTE     C_5, 68
	NOTE     OFF, 52
	NOTE     E_4, 23
	NOTE     OFF, 1
	NOTE     C_5, 35
	NOTE     OFF, 1
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     B_4, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib06
	VOLUME	 5
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     C_5, 11
	NOTE     OFF, 1
	END_PTN

pattern05
	NOTE     D_5, 11
	NOTE     OFF, 1
	NOTE     C_5, 68
	NOTE     OFF, 16
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib07
	VOLUME	 4
	NOTE     E_4, 23
	NOTE     OFF, 1
	NOTE     E_4, 23
	NOTE     OFF, 1
	NOTE     E_4, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     A_4, 11
	NOTE     OFF, 1
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     C_5, 11
	NOTE     OFF, 1
	NOTE     B_4, 68
	NOTE     OFF, 16
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib07
	VOLUME	 4
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     C_5, 11
	NOTE     OFF, 1
	END_PTN

pattern00b
	NOTE     D_5, 11
	NOTE     OFF, 1
	NOTE     C_5, 68
	NOTE     OFF, 16
	NOTE     E_5, 47
	NOTE     OFF, 1
	NOTE     D_5, 23
	NOTE     OFF, 1
	NOTE     C_5, 23
	NOTE     OFF, 1
	END_PTN

pattern06
	NOTE     A_4, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib06
	VOLUME	 5
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     E_4, 23
	NOTE     OFF, 1
	END_PTN

pattern10
	NOTE     D_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib06
	VOLUME	 5
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	END_PTN

pattern00c
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     C_5, 68
	NOTE     OFF, 4
	NOTE     C_5, 11
	NOTE     OFF, 1
	NOTE     D_5, 11
	NOTE     OFF, 1
	NOTE     E_5, 68
	NOTE     OFF, 4
	NOTE     E_5, 11
	NOTE     OFF, 1
	NOTE     Fi5, 11
	NOTE     OFF, 1
	END_PTN

pattern11
	NOTE     G_5, 23
	NOTE     OFF, 1
	NOTE     Fi5, 23
	NOTE     OFF, 1
	NOTE     E_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib07
	VOLUME	 4
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	END_PTN

pattern12
	NOTE     D_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib06
	VOLUME	 5
	NOTE     D_3, 23
	NOTE     OFF, 1
	NOTE     D_3, 23
	NOTE     OFF, 1
	NOTE     D_3, 23
	NOTE     OFF, 1
	NOTE     D_3, 23
	NOTE     OFF, 1
	NOTE     D_3, 23
	NOTE     OFF, 1
	END_PTN

pattern13
	NOTE     G_5, 23
	NOTE     OFF, 1
	NOTE     Fi5, 23
	NOTE     OFF, 1
	NOTE     E_5, 68
	NOTE     OFF, 4
	NOTE     E_5, 23
	NOTE     OFF, 1
	NOTE     Fi5, 23
	NOTE     OFF, 1
	NOTE     G_5, 23
	NOTE     OFF, 1
	END_PTN

pattern14
	NOTE     A_5, 68
	NOTE     OFF, 52
	NOTE     E_5, 23
	NOTE     OFF, 1
	NOTE     A_5, 35
	NOTE     OFF, 1
	NOTE     G_5, 11
	NOTE     OFF, 1
	NOTE     G_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib06
	VOLUME	 5
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	END_PTN

pattern15
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     Fi5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib06
	VOLUME	 5
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     E_4, 23
	NOTE     OFF, 1
	END_PTN

pattern00e
	NOTE     D_5, 11
	NOTE     OFF, 1
	NOTE     C_5, 68
	NOTE     OFF, 16
	END_PTN

pattern16
	NOTE     E_5, 47
	NOTE     OFF, 1
	NOTE     D_5, 23
	NOTE     OFF, 1
	NOTE     C_5, 23
	NOTE     OFF, 1
	NOTE     D_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib07
	VOLUME	 4
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	END_PTN

pattern00d
	ENVELOPE env02
	VIBRATO  vib02
	NOTE     C_5, 11
	NOTE     OFF, 1
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     C_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib07
	VOLUME	 4
	NOTE     E_4, 23
	NOTE     OFF, 1
	NOTE     E_4, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     D_5, 23
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	END_PTN

pattern17
	NOTE     B_4, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib07
	VOLUME	 4
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     G_4, 47
	NOTE     OFF, 1
	END_PTN

pattern18
	NOTE     C_5, 11
	NOTE     OFF, 1
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     C_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib07
	VOLUME	 4
	NOTE     E_4, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     D_5, 47
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	NOTE     D_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib05
	VOLUME	 6
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	END_PTN

pattern19
	NOTE     D_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib05
	VOLUME	 6
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	NOTE     E_3, 23
	NOTE     OFF, 1
	ENVELOPE env02
	VIBRATO  vib02
	VOLUME	 8
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     E_4, 23
	NOTE     OFF, 1
	END_PTN

pattern20
	NOTE     E_5, 68
	NOTE     OFF, 4
	NOTE     D_5, 11
	NOTE     OFF, 1
	NOTE     C_5, 11
	NOTE     OFF, 1
	NOTE     D_5, 68
	NOTE     OFF, 4
	ENVELOPE EFFECT_OFF
	VIBRATO	 vib06
	VOLUME	 5
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	NOTE     A_3, 23
	NOTE     OFF, 1
	END_PTN

pattern21
	ENVELOPE EFFECT_OFF
	VIBRATO  vib02
	VOLUME   8
	NOTE     C_6, 47
	NOTE     OFF, 1
	VOLUME   7
	NOTE     OFF, 48
	VOLUME   6
	NOTE     B_5, 47
	NOTE     OFF, 1
	VOLUME   5
	NOTE     A_5, 47
	NOTE     OFF, 1
	VOLUME   4
	NOTE     G_5, 11
	NOTE     OFF, 1
	NOTE     Fi5, 11
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	VOLUME   3
	NOTE     OFF, 48
	VOLUME   2
	NOTE     OFF, 24
	NOTE     E_5, 23
	NOTE     OFF, 1
	VOLUME   1
	NOTE     Fi5, 23
	NOTE     OFF, 1
	NOTE     G_5, 23
	VOLUME   0
	NOTE     OFF, 1
	END_PTN

pattern22
	NOTE     OFF, 143
	NOTE     OFF, 143
	NOTE     OFF, 98
	END_PTN

pattern0A
	VIBRATO  vib04
	NOTE     E_5, 6
	NOTE     E_5, 6
	NOTE     C_5, 6
	NOTE     C_5, 6
	NOTE     A_4, 6
	NOTE     A_4, 6
	NOTE     E_4, 6
	NOTE     E_4, 6
	END_PTN

pattern0B
	NOTE     E_5, 6
	NOTE     E_5, 6
	NOTE     B_4, 6
	NOTE     B_4, 6
	NOTE     G_4, 6
	NOTE     G_4, 6
	NOTE     E_4, 6
	NOTE     E_4, 6
	END_PTN

pattern0C
	NOTE     D_4, 6
	NOTE     D_4, 6
	NOTE     Fi4, 6
	NOTE     Fi4, 6
	NOTE     A_4, 6
	NOTE     A_4, 6
	NOTE     D_5, 6
	NOTE     D_5, 6
	END_PTN

pattern0D
	VIBRATO	 vib06
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     G_3, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	VIBRATO  vib08
	NOTE     G_4, 23
	NOTE     OFF, 1
	NOTE     A_4, 23
	NOTE     OFF, 1
	NOTE     B_4, 23
	NOTE     OFF, 1
	NOTE     D_5, 23
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	NOTE     D_5, 47
	NOTE     OFF, 1
	END_PTN

pattern0E
	NOTE     C_5, 95
	NOTE     OFF, 1
	NOTE     E_5, 47
	NOTE     OFF, 1
	NOTE     A_5, 47
	NOTE     OFF, 1
	NOTE     G_5, 96
	NOTE     OFF, 48
	NOTE     B_5, 47
	NOTE     OFF, 1
	END_PTN

pattern0F
	NOTE     A_5, 95
	NOTE     OFF, 1
	NOTE     G_5, 95
	NOTE     OFF, 1
	END_PTN

pattern0G
	VIBRATO  vib04
	NOTE     D_4, 6
	NOTE     E_4, 6
	NOTE     Fi4, 6
	NOTE     G_4, 6
	NOTE     Fi4, 6
	NOTE     G_4, 6
	NOTE     A_4, 6
	NOTE     B_4, 6
	NOTE     A_4, 6
	NOTE     B_4, 6
	NOTE     C_5, 6
	NOTE     D_5, 6
	NOTE     C_5, 6
	NOTE     D_5, 6
	NOTE     E_5, 6
	NOTE     Fi5, 6
	NOTE     E_5, 6
	NOTE     Fi5, 6
	NOTE     G_5, 6
	NOTE     A_5, 6
	NOTE     G_5, 6
	NOTE     A_5, 6
	NOTE     B_5, 6
	NOTE     C_6, 6
	NOTE     B_5, 6
	NOTE     C_6, 6
	NOTE     D_6, 6
	NOTE     E_6, 6
	NOTE     C_6, 6
	NOTE     D_6, 6
	NOTE     E_6, 6
	NOTE     Fi6, 6
	END_PTN

pattern0H
	VIBRATO  vib03
	NOTE     D_6, 23
	NOTE     OFF, 1
	NOTE     C_6, 23
	NOTE     OFF, 1
	NOTE     B_5, 23
	NOTE     OFF, 1
	NOTE     G_5, 23
	NOTE     OFF, 1
	END_PTN

pattern0J
	NOTE     B_5, 23
	NOTE     OFF, 1
	NOTE     A_5, 23
	NOTE     OFF, 1
	NOTE     G_5, 23
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	END_PTN

pattern0K
	NOTE     G_5, 23
	NOTE     OFF, 1
	NOTE     Fi5, 23
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	NOTE     C_5, 23
	NOTE     OFF, 1
	END_PTN

pattern0L
	NOTE     E_6, 23
	NOTE     OFF, 1
	NOTE     C_6, 23
	NOTE     OFF, 1
	NOTE     A_5, 23
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	END_PTN

pattern0M
	NOTE     E_6, 23
	NOTE     OFF, 1
	NOTE     B_5, 23
	NOTE     OFF, 1
	NOTE     G_5, 23
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	END_PTN

pattern0N
	VIBRATO  vib04
	NOTE     C_5, 11
	NOTE     OFF, 1
	NOTE     A_4, 11
	NOTE     OFF, 1
	NOTE     E_4, 11
	NOTE     OFF, 1
	NOTE     A_4, 11
	NOTE     OFF, 1
	END_PTN

pattern0P
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     G_4, 11
	NOTE     OFF, 1
	NOTE     E_4, 11
	NOTE     OFF, 1
	NOTE     G_4, 11
	NOTE     OFF, 1
	END_PTN

pattern0Q
	NOTE     B_4, 11
	NOTE     OFF, 1
	NOTE     G_4, 11
	NOTE     OFF, 1
	NOTE     D_4, 11
	NOTE     OFF, 1
	NOTE     G_4, 11
	NOTE     OFF, 1
	END_PTN

pattern0R
	NOTE     C_4, 11
	NOTE     OFF, 1
	NOTE     E_4, 11
	NOTE     OFF, 1
	NOTE     A_4, 11
	NOTE     OFF, 1
	NOTE     C_5, 11
	NOTE     OFF, 1
	END_PTN

pattern0S
	NOTE     B_3, 11
	NOTE     OFF, 1
	NOTE     E_4, 11
	NOTE     OFF, 1
	NOTE     G_4, 11
	NOTE     OFF, 1
	NOTE     B_4, 11
	NOTE     OFF, 1
	END_PTN

pattern0T
	NOTE     D_4, 11
	NOTE     OFF, 1
	NOTE     Fi4, 11
	NOTE     OFF, 1
	NOTE     A_4, 11
	NOTE     OFF, 1
	NOTE     D_5, 11
	NOTE     OFF, 1
	END_PTN

pattern0U
	VIBRATO  vib03
	NOTE     E_6, 23
	NOTE     OFF, 1
	NOTE     C_6, 23
	NOTE     OFF, 1
	NOTE     G_5, 23
	NOTE     OFF, 1
	NOTE     E_5, 23
	NOTE     OFF, 1
	END_PTN

pattern0V
	VIBRATO	 vib06
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	NOTE     D_4, 23
	NOTE     OFF, 1
	VIBRATO	 vib07
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	NOTE     B_3, 23
	NOTE     OFF, 1
	END_PTN

PATTERN101	macro
		dw pattern00a, pattern01
		endm

PATTERN102	macro
		dw pattern00a, pattern02
		endm

PATTERN103	macro
		dw pattern03
		endm

PATTERN104	macro
		dw pattern04
		endm

PATTERN105	macro
		dw pattern05
		endm

PATTERN106	macro
		dw pattern00b, pattern06
		endm

PATTERN107	macro
		PATTERN103
		endm

PATTERN108	macro
		PATTERN104
		endm

PATTERN109	macro
		PATTERN105
		endm

PATTERN110	macro
		dw pattern00b, pattern10
		endm

PATTERN111	macro
		dw pattern00c, pattern11
		endm

PATTERN112	macro
		dw pattern00c, pattern12
		endm

PATTERN113	macro
		dw pattern00c, pattern13
		endm

PATTERN114	macro
		dw pattern14
		endm

PATTERN115	macro
		dw pattern15
		endm

PATTERN116	macro
		dw pattern00e, pattern16
		endm

PATTERN117	macro
		dw pattern00d, pattern17
		endm

PATTERN118	macro
		dw pattern18
		endm

PATTERN119	macro
		dw pattern00d, pattern19
		endm

PATTERN120	macro
		dw pattern00e, pattern20
		endm

PATTERN121	macro
		dw pattern21
		endm

PATTERN122	macro
		dw pattern22
		endm

PATTERN201	macro
		dw pattern0A, pattern0A, pattern0A, pattern0A, pattern0B, pattern0B, pattern0B, pattern0B
		endm

PATTERN202	macro
		dw pattern0A, pattern0A, pattern0A, pattern0A, pattern0C, pattern0C, pattern0C, pattern0C
		endm

PATTERN203	macro
		dw pattern0V
		endm

PATTERN204	macro
		dw pattern0D
		endm

PATTERN205	macro
		dw pattern0E
		endm

PATTERN206	macro
		dw pattern0F, pattern0G
		endm

PATTERN207	macro
		dw pattern0H, pattern0H, pattern0J, pattern0J
		endm

PATTERN208	macro
		dw pattern0K, pattern0K, pattern0H, pattern0H
		endm

PATTERN209	macro
		dw pattern0L, pattern0L, pattern0M, pattern0M
		endm

PATTERN210	macro
		dw pattern0L, pattern0U, pattern0G
		endm

PATTERN211	macro
		dw pattern0N, pattern0N, pattern0N, pattern0N, pattern0P, pattern0P, pattern0P, pattern0P
		endm

PATTERN212	macro
		dw pattern0N, pattern0N, pattern0N, pattern0N, pattern0Q, pattern0Q, pattern0Q, pattern0Q
		endm

PATTERN213	macro
		PATTERN211
		endm

PATTERN214	macro
		PATTERN211
		endm

PATTERN215	macro
		dw pattern0G
		endm

PATTERN216	macro
		PATTERN210
		endm

PATTERN217	macro
		dw pattern0R, pattern0R, pattern0R, pattern0R, pattern0S, pattern0S, pattern0S, pattern0S
		endm

PATTERN218	macro
		dw pattern0R, pattern0R, pattern0R, pattern0R, pattern0T, pattern0T, pattern0T, pattern0T
		endm

PATTERN219	macro
		PATTERN218
		endm

PATTERN220	macro
		PATTERN210
		endm

PATTERN221	macro
		PATTERN211
		endm

PATTERN222	macro
		dw pattern22
		endm

Channel1
Channel1_restart
	dw Volume100
	PATTERN101
	PATTERN102
	PATTERN103
	PATTERN104
	PATTERN105
	PATTERN106
	PATTERN107
	PATTERN108
	PATTERN109
	PATTERN110
	PATTERN111
	PATTERN112
	PATTERN113
	PATTERN114
	PATTERN115
	PATTERN107
	PATTERN108
	PATTERN109
	PATTERN116
	PATTERN117
	PATTERN118
	PATTERN117
	PATTERN119
	PATTERN107
	PATTERN108
	PATTERN109
	PATTERN120
	PATTERN111
	PATTERN112
	PATTERN113
	PATTERN114
	PATTERN111
	PATTERN112
	PATTERN113
	PATTERN114
	PATTERN121
	PATTERN122
	dw 0

Channel2
Channel2_restart
	dw EmptyDelay
	PATTERN201
	PATTERN202
	PATTERN203
	PATTERN204
	PATTERN205
	PATTERN206
	PATTERN207
	PATTERN208
	PATTERN209
	PATTERN210
	PATTERN211
	PATTERN212
	PATTERN213
	PATTERN214
	PATTERN215
	PATTERN207
	PATTERN208
	PATTERN209
	PATTERN216
	PATTERN217
	PATTERN218
	PATTERN217
	PATTERN219
	PATTERN207
	PATTERN208
	PATTERN209
	PATTERN220
	PATTERN211
	PATTERN212
	PATTERN213
	PATTERN214
	PATTERN211
	PATTERN212
	PATTERN213
	PATTERN214
	PATTERN221
	PATTERN222
	dw 0

	end
