; Boring Stuff startup by gerliczer
; programmed during the 2023-12-28..2023-12-30 period
; created with Csabo's Plus4IDE 1.70 and
; Frank A. Kingswood's AS65 1.42
; tested in Gaia's YAPE and IstvanV's plus4emu
; thanks to all of you guys
; upload only to strictly CBM264 series related sites
; PAL&NTSC compatible program, 64kB memory required


	org $1001-2
	dw  $1001
	
	dw nextln, 2023	; second word is line number
	db $9E
	if start > 9999
	db "0"+start/10000
	endif
	db "0"+(start/1000)%10,"0"+(start/100)%10,"0"+(start/10)%10,"0"+start%10,0
nextln	db 0,0
	
start
	sei
	sta $FF3F
	ldx #0
copy_manager
	lda manager,x
	sta $FF40,x
	inx
	cpx #manager_end-manager
	bne copy_manager
	jsr wait_screen_end
	jsr flood_with_border
	jsr fill_with_text
	ldy #45
	ldx #50
	jsr wait_screen_end
	dex
	bne *-4
	dey
	bne *-9
	jsr transfer
	jsr flood_with_border
	lda $FF19
	and #$7F
	beq no_fadeout
	lda $FF06
	and #$EF
	sta $FF06
	jsr fadeout
no_fadeout
;	inc $FF19
;	jmp *-3
	jmp $C2FF

fadeout
	lda $FF07
	and #$40
	bne ntsc
	lda #255
	db $2C
ntsc
	lda #240
wait_blank
	cmp $FF1D
	bne wait_blank
wait_next
	cmp $FF1D
	beq wait_next
wait_blank_
	cmp $FF1D
	bne wait_blank_
wait_next_
	cmp $FF1D
	beq wait_next_
wait_blank__
	cmp $FF1D
	bne wait_blank__
wait_next__
	cmp $FF1D
	beq wait_next__
wait_blank___
	cmp $FF1D
	bne wait_blank___
	lda $FF19
	and #$7F
	sec
	sbc #$10
	bmi fadeout_done
	sta $FF19
	bne fadeout
fadeout_done
	lda #0
	sta $FF19
	rts

fill_with_text
	ldy #39
fill_screen
	ldx #0
odd_to_left
	lda $C01+ 0*40,x
	sta $C00+ 0*40,x
	lda $C01+ 2*40,x
	sta $C00+ 2*40,x
	lda $C01+ 4*40,x
	sta $C00+ 4*40,x
	lda $C01+ 6*40,x
	sta $C00+ 6*40,x
	lda $C01+ 8*40,x
	sta $C00+ 8*40,x
	lda $C01+10*40,x
	sta $C00+10*40,x
	lda $C01+12*40,x
	sta $C00+12*40,x
	lda $C01+14*40,x
	sta $C00+14*40,x
	lda $C01+16*40,x
	sta $C00+16*40,x
	lda $C01+18*40,x
	sta $C00+18*40,x
	lda $C01+20*40,x
	sta $C00+20*40,x
	lda $C01+22*40,x
	sta $C00+22*40,x
	lda $C01+24*40,x
	sta $C00+24*40,x
	lda $801+ 0*40,x
	sta $800+ 0*40,x
	lda $801+ 2*40,x
	sta $800+ 2*40,x
	lda $801+ 4*40,x
	sta $800+ 4*40,x
	lda $801+ 6*40,x
	sta $800+ 6*40,x
	lda $801+ 8*40,x
	sta $800+ 8*40,x
	lda $801+10*40,x
	sta $800+10*40,x
	lda $801+12*40,x
	sta $800+12*40,x
	lda $801+14*40,x
	sta $800+14*40,x
	lda $801+16*40,x
	sta $800+16*40,x
	lda $801+18*40,x
	sta $800+18*40,x
	lda $801+20*40,x
	sta $800+20*40,x
	lda $801+22*40,x
	sta $800+22*40,x
	lda $801+24*40,x
	sta $800+24*40,x
	inx
	cpx #39
	beq odd_fill
	jmp odd_to_left
odd_fill
	lda mem_0C00+ 0*40,y
	sta $C00+39 + 0*40
	lda mem_0C00+ 2*40,y
	sta $C00+39 + 2*40
	lda mem_0C00+ 4*40,y
	sta $C00+39 + 4*40
	lda mem_0C00+ 6*40,y
	sta $C00+39 + 6*40
	lda mem_0C00+ 8*40,y
	sta $C00+39 + 8*40
	lda mem_0C00+10*40,y
	sta $C00+39 +10*40
	lda mem_0C00+12*40,y
	sta $C00+39 +12*40
	lda mem_0C00+14*40,y
	sta $C00+39 +14*40
	lda mem_0C00+16*40,y
	sta $C00+39 +16*40
	lda mem_0C00+18*40,y
	sta $C00+39 +18*40
	lda mem_0C00+20*40,y
	sta $C00+39 +20*40
	lda mem_0C00+22*40,y
	sta $C00+39 +22*40
	lda mem_0C00+24*40,y
	sta $C00+39 +24*40
	lda mem_0800+ 0*40,y
	sta $800+39 + 0*40
	lda mem_0800+ 2*40,y
	sta $800+39 + 2*40
	lda mem_0800+ 4*40,y
	sta $800+39 + 4*40
	lda mem_0800+ 6*40,y
	sta $800+39 + 6*40
	lda mem_0800+ 8*40,y
	sta $800+39 + 8*40
	lda mem_0800+10*40,y
	sta $800+39 +10*40
	lda mem_0800+12*40,y
	sta $800+39 +12*40
	lda mem_0800+14*40,y
	sta $800+39 +14*40
	lda mem_0800+16*40,y
	sta $800+39 +16*40
	lda mem_0800+18*40,y
	sta $800+39 +18*40
	lda mem_0800+20*40,y
	sta $800+39 +20*40
	lda mem_0800+22*40,y
	sta $800+39 +22*40
	lda mem_0800+24*40,y
	sta $800+39 +24*40
	jsr wait_screen_end
	;
	ldx #38
even_to_right
	lda $C00+ 1*40,x
	sta $C01+ 1*40,x
	lda $C00+ 3*40,x
	sta $C01+ 3*40,x
	lda $C00+ 5*40,x
	sta $C01+ 5*40,x
	lda $C00+ 7*40,x
	sta $C01+ 7*40,x
	lda $C00+ 9*40,x
	sta $C01+ 9*40,x
	lda $C00+11*40,x
	sta $C01+11*40,x
	lda $C00+13*40,x
	sta $C01+13*40,x
	lda $C00+15*40,x
	sta $C01+15*40,x
	lda $C00+17*40,x
	sta $C01+17*40,x
	lda $C00+19*40,x
	sta $C01+19*40,x
	lda $C00+21*40,x
	sta $C01+21*40,x
	lda $C00+23*40,x
	sta $C01+23*40,x
	lda $800+ 1*40,x
	sta $801+ 1*40,x
	lda $800+ 3*40,x
	sta $801+ 3*40,x
	lda $800+ 5*40,x
	sta $801+ 5*40,x
	lda $800+ 7*40,x
	sta $801+ 7*40,x
	lda $800+ 9*40,x
	sta $801+ 9*40,x
	lda $800+11*40,x
	sta $801+11*40,x
	lda $800+13*40,x
	sta $801+13*40,x
	lda $800+15*40,x
	sta $801+15*40,x
	lda $800+17*40,x
	sta $801+17*40,x
	lda $800+19*40,x
	sta $801+19*40,x
	lda $800+21*40,x
	sta $801+21*40,x
	lda $800+23*40,x
	sta $801+23*40,x
	dex
	bmi even_fill
	jmp even_to_right
even_fill
	lda mem_0C00+ 1*40,y
	sta $C00+     1*40
	lda mem_0C00+ 3*40,y
	sta $C00+     3*40
	lda mem_0C00+ 5*40,y
	sta $C00+     5*40
	lda mem_0C00+ 7*40,y
	sta $C00+     7*40
	lda mem_0C00+ 9*40,y
	sta $C00+     9*40
	lda mem_0C00+11*40,y
	sta $C00+    11*40
	lda mem_0C00+13*40,y
	sta $C00+    13*40
	lda mem_0C00+15*40,y
	sta $C00+    15*40
	lda mem_0C00+17*40,y
	sta $C00+    17*40
	lda mem_0C00+19*40,y
	sta $C00+    19*40
	lda mem_0C00+21*40,y
	sta $C00+    21*40
	lda mem_0C00+23*40,y
	sta $C00+    23*40
	lda mem_0800+ 1*40,y
	sta $800+     1*40
	lda mem_0800+ 3*40,y
	sta $800+     3*40
	lda mem_0800+ 5*40,y
	sta $800+     5*40
	lda mem_0800+ 7*40,y
	sta $800+     7*40
	lda mem_0800+ 9*40,y
	sta $800+     9*40
	lda mem_0800+11*40,y
	sta $800+    11*40
	lda mem_0800+13*40,y
	sta $800+    13*40
	lda mem_0800+15*40,y
	sta $800+    15*40
	lda mem_0800+17*40,y
	sta $800+    17*40
	lda mem_0800+19*40,y
	sta $800+    19*40
	lda mem_0800+21*40,y
	sta $800+    21*40
	lda mem_0800+23*40,y
	sta $800+    23*40
	jsr wait_screen_end
	;
	dey
	bmi fill_done
	jmp fill_screen
fill_done
	rts

flood_with_border
	ldy #0
flood_screen
	ldx #38
odd_to_right
	lda $C00+ 0*40,x
	sta $C01+ 0*40,x
	lda $C00+ 2*40,x
	sta $C01+ 2*40,x
	lda $C00+ 4*40,x
	sta $C01+ 4*40,x
	lda $C00+ 6*40,x
	sta $C01+ 6*40,x
	lda $C00+ 8*40,x
	sta $C01+ 8*40,x
	lda $C00+10*40,x
	sta $C01+10*40,x
	lda $C00+12*40,x
	sta $C01+12*40,x
	lda $C00+14*40,x
	sta $C01+14*40,x
	lda $C00+16*40,x
	sta $C01+16*40,x
	lda $C00+18*40,x
	sta $C01+18*40,x
	lda $C00+20*40,x
	sta $C01+20*40,x
	lda $C00+22*40,x
	sta $C01+22*40,x
	lda $C00+24*40,x
	sta $C01+24*40,x
	lda $800+ 0*40,x
	sta $801+ 0*40,x
	lda $800+ 2*40,x
	sta $801+ 2*40,x
	lda $800+ 4*40,x
	sta $801+ 4*40,x
	lda $800+ 6*40,x
	sta $801+ 6*40,x
	lda $800+ 8*40,x
	sta $801+ 8*40,x
	lda $800+10*40,x
	sta $801+10*40,x
	lda $800+12*40,x
	sta $801+12*40,x
	lda $800+14*40,x
	sta $801+14*40,x
	lda $800+16*40,x
	sta $801+16*40,x
	lda $800+18*40,x
	sta $801+18*40,x
	lda $800+20*40,x
	sta $801+20*40,x
	lda $800+22*40,x
	sta $801+22*40,x
	lda $800+24*40,x
	sta $801+24*40,x
	dex
	bmi odd_flood
	jmp odd_to_right
odd_flood
	lda #160
	sta $C00+ 0*40
	sta $C00+ 2*40
	sta $C00+ 4*40
	sta $C00+ 6*40
	sta $C00+ 8*40
	sta $C00+10*40
	sta $C00+12*40
	sta $C00+14*40
	sta $C00+16*40
	sta $C00+18*40
	sta $C00+20*40
	sta $C00+22*40
	sta $C00+24*40
	lda $FF19
	sta $800+ 0*40
	sta $800+ 2*40
	sta $800+ 4*40
	sta $800+ 6*40
	sta $800+ 8*40
	sta $800+10*40
	sta $800+12*40
	sta $800+14*40
	sta $800+16*40
	sta $800+18*40
	sta $800+20*40
	sta $800+22*40
	sta $800+24*40
	jsr wait_screen_end
	ldx #0
even_to_left
	lda $C01+ 1*40,x
	sta $C00+ 1*40,x
	lda $C01+ 3*40,x
	sta $C00+ 3*40,x
	lda $C01+ 5*40,x
	sta $C00+ 5*40,x
	lda $C01+ 7*40,x
	sta $C00+ 7*40,x
	lda $C01+ 9*40,x
	sta $C00+ 9*40,x
	lda $C01+11*40,x
	sta $C00+11*40,x
	lda $C01+13*40,x
	sta $C00+13*40,x
	lda $C01+15*40,x
	sta $C00+15*40,x
	lda $C01+17*40,x
	sta $C00+17*40,x
	lda $C01+19*40,x
	sta $C00+19*40,x
	lda $C01+21*40,x
	sta $C00+21*40,x
	lda $C01+23*40,x
	sta $C00+23*40,x
	lda $801+ 1*40,x
	sta $800+ 1*40,x
	lda $801+ 3*40,x
	sta $800+ 3*40,x
	lda $801+ 5*40,x
	sta $800+ 5*40,x
	lda $801+ 7*40,x
	sta $800+ 7*40,x
	lda $801+ 9*40,x
	sta $800+ 9*40,x
	lda $801+11*40,x
	sta $800+11*40,x
	lda $801+13*40,x
	sta $800+13*40,x
	lda $801+15*40,x
	sta $800+15*40,x
	lda $801+17*40,x
	sta $800+17*40,x
	lda $801+19*40,x
	sta $800+19*40,x
	lda $801+21*40,x
	sta $800+21*40,x
	lda $801+23*40,x
	sta $800+23*40,x
	inx
	cpx #39
	beq even_flood
	jmp even_to_left
even_flood
	lda #160
	sta $C00+39+ 1*40
	sta $C00+39+ 3*40
	sta $C00+39+ 5*40
	sta $C00+39+ 7*40
	sta $C00+39+ 9*40
	sta $C00+39+11*40
	sta $C00+39+13*40
	sta $C00+39+15*40
	sta $C00+39+17*40
	sta $C00+39+19*40
	sta $C00+39+21*40
	sta $C00+39+23*40
	lda $FF19
	sta $800+39+ 1*40
	sta $800+39+ 3*40
	sta $800+39+ 5*40
	sta $800+39+ 7*40
	sta $800+39+ 9*40
	sta $800+39+11*40
	sta $800+39+13*40
	sta $800+39+15*40
	sta $800+39+17*40
	sta $800+39+19*40
	sta $800+39+21*40
	sta $800+39+23*40
	jsr wait_screen_end
	iny
	cpy #40
	beq flood_done
	jmp flood_screen
flood_done
	rts

wait_screen_end
	lda #$CC
	cmp $FF1D
	bne *-3
	rts

manager
	cmp #0
	bne call_end
	jmp $CF45
call_end
	jmp $E49E
manager_end

	align 256

mem_0800
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10, $10
	db $10, $10, $10, $10, $10, $10, $10, $10, $FF, $00, $FF, $00, $FF, $00, $FF, $00
	db $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00
mem_0C00
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $17, $08, $01, $14, $20, $03
	db $0F, $0D, $05, $13, $20, $0E, $05, $18, $14, $20, $09, $13, $20, $13, $0F, $0D
	db $05, $20, $02, $0F, $12, $09, $0E, $07, $20, $13, $14, $15, $06, $06, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $14, $08, $01, $0E
	db $0B, $13, $20, $14, $0F, $20, $20, $03, $13, $01, $02, $0F, $2C, $20, $07, $01
	db $09, $01, $2C, $20, $09, $13, $14, $16, $01, $0E, $16, $2C, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $06, $2E
	db $20, $0B, $09, $0E, $07, $13, $17, $0F, $0F, $04, $20, $01, $0E, $04, $20, $0D
	db $01, $07, $0E, $15, $13, $20, $0C, $09, $0E, $04, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $07, $12, $05, $05, $14, $09
	db $0E, $07, $13, $20, $09, $0E, $20, $0E, $0F, $20, $20, $10, $01, $12, $14, $09
	db $03, $15, $0C, $01, $12, $20, $0F, $12, $04, $05, $12, $20, $14, $0F, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $0C, $15, $03, $01, $2C, $20
	db $0D, $01, $04, $2C, $20, $14, $0C, $03, $2C, $20, $0C, $01, $16, $09, $0E, $01
	db $2C, $20, $07, $05, $0F, $12, $07, $05, $2C, $20, $0D, $0D, $13, $2C, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $13, $16, $13, $2C, $20, $13
	db $14, $09, $0E, $01, $12, $09, $13, $2C, $20, $20, $13, $15, $0B, $0B, $0F, $10
	db $05, $12, $01, $2C, $20, $0D, $03, $05, $13, $2C, $20, $02, $13, $1A, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $13, $10, $05, $0B, $14, $12
	db $0F, $2C, $20, $16, $05, $12, $0F, $0E, $01, $2C, $20, $03, $08, $12, $0F, $0E
	db $0F, $13, $2C, $20, $0C, $01, $12, $12, $19, $2C, $20, $14, $12, $10, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $03, $08, $01, $12, $0C, $05
	db $13, $2C, $20, $03, $08, $01, $12, $0C, $05, $0D, $01, $07, $0E, $05, $2C, $20
	db $20, $12, $01, $03, $08, $19, $2C, $20, $0B, $09, $03, $08, $19, $2C, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $0D, $09, $0B, $2C, $20, $12
	db $15, $04, $09, $07, $05, $12, $2C, $20, $35, $14, $01, $12, $02, $15, $03, $0B
	db $2C, $20, $04, $05, $07, $01, $15, $13, $13, $2C, $20, $17, $01, $1A, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $0D, $15, $12, $10, $08, $19, $2C
	db $20, $0C, $01, $03, $0F, $13, $14, $05, $2C, $20, $20, $14, $03, $06, $13, $2C
	db $20, $15, $0E, $12, $05, $01, $0C, $20, $01, $0E, $04, $20, $01, $0C, $0C, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $14, $08, $05, $20, $0F
	db $14, $08, $05, $12, $20, $07, $15, $19, $13, $20, $09, $20, $06, $0F, $12, $07
	db $0F, $14, $20, $14, $0F, $20, $0D, $05, $0E, $14, $09, $0F, $0E, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $07, $05, $12, $0C, $09, $03, $1A, $05
	db $12, $20, $0F, $0E, $20, $32, $30, $32, $33, $2D, $31, $32, $2D, $33, $30, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
	db $20, $20, $20, $20, $20, $20, $20, $20, $FF, $00, $FF, $00, $FF, $00, $FF, $00
	db $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00, $FF, $00

transfer
source				equ		*+1
	lda data_start
destination			equ		*+1
	sta $C2FF
	inc source
	bne no_source_carry
	inc source+1
no_source_carry
	inc destination
	bne no_destination_carry
	inc destination+1
no_destination_carry
	lda destination+1
	cmp #$FD
	bne transfer
	rts

	align 4096

data_start				equ		*
	end
