;
; LoD Player 2 Modified
;
; Original by Csabo of Legion of Doom
;
; Modified by gerliczer
;
; 2020-12-25..2023-12-26
;
; Snare instrument
;

	if SNARE_ENABLED
		if SNARE2_ENABLED
lp2m_snare2								; snare with alternative frequencies
			lda TONE1,x					; look up note freq
			asl a
			tay
			;
			lda TICK1,x
			clc
			adc #lp2m_snare2_freq-lp2m_snare_freq
			jmp lp2m_drum_lookup
		endif	; SNARE2_ENABLED
lp2m_snare
	lda TONE1,x							; look up note freq
	asl a
	tay
	;
	lda TICK1,x
lp2m_drum_lookup
	tax  
	;
	lda lp2m_snare_freq,x						; add snare freq
	clc
	adc lp2m_freqs,y       						; add 8 bit value
	pha
	lda lp2m_freqs+1,y
	adc #$00
	tay
	;   
	lda #$40							; turn on noise bit
	sta NOISE
	;
	pla
	rts
	endif	; SNARE_ENABLED

; Manipulator (2x)
;snare	
;	lda NOTE1,x
;	asl a
;	tax
;	lda snare_data+1,x	; 16 bit add: add snare freq
;	and #$60
;	sta NOISE
;	lda snare_data+1,x	; 16 bit add: add snare freq
;	and #$03
;	tay
;	lda snare_data,x
;	clc
;	adc TONE1
;	rts
