;
; LoD Player 2 Modified
;
; Original by Csabo of Legion of Doom
;
; Modified by gerliczer
;
; 2020-12-25..2021-01-01
;
; Vibrato instrument
;

	if VIBRATO_ENABLED
lp2m_vib
	lda ARP_VIB_CNT1,x						; get next vibrato phase
;	inc ARP_VIB_CNT1,x
	tay
	cpx #$00							; get vibrato value
	bne lp2m_vib_ptr2
lp2m_vib_ptr1
	lda lp2m_vibrato,y
	bcs lp2m_vib1							; always branch
lp2m_vib_ptr2
	lda lp2m_vibrato,y
lp2m_vib1
	cmp #$FF							; if not restart flag
	bne lp2m_vib_norm						; carry on normally
	lda #$00							; otherwise
	sta ARP_VIB_CNT1,x						; restart
	beq lp2m_vib
lp2m_vib_norm
	bmi lp2m_vib_sub1
	;
lp2m_vib_add
	sta lp2m_vib2+1
	;
	lda TONE1,x
	asl a
	tax
	ldy lp2m_freqs+1,x
	lda lp2m_freqs,x
	clc
lp2m_vib2
	adc #$01
	bcc lp2m_vib3
	iny
lp2m_vib3
	rts
	;
lp2m_vib_sub1
	and #$7F
	;      
	sta lp2m_vib4+1
	;
	lda TONE1,x
	asl a
	tax
	ldy lp2m_freqs+1,x
	lda lp2m_freqs,x
	sec
lp2m_vib4
	sbc #$01
	bcs lp2m_vib5
	dey
lp2m_vib5
	rts
	endif	; VIBRATO_ENABLED
