;
; Triangles to Murphy in LoD Player 2 Modified
;
; Music by gerliczer
;
; Original Player by Csabo of Legion of Doom
;
; Modified by gerliczer
;
; 2023-12-26..2023-12-28
;
; Demo file
;


	include "ttm_conf.asm"
	include "!lp2m_environment.asm"
	include "!lp2m_macro.asm"

	org $1001-2
	dw  $1001
	
	dw nextln,2023	; second word is line number
	db $9E
	if start > 9999
	db "0"+start/10000
	endif
	db "0"+(start/1000)%10,"0"+(start/100)%10,"0"+(start/10)%10,"0"+start%10,0
nextln	db 0,0
	
start
	sei
	sta $FF3F
	lda #0
	sta $FF0A
	asl $FF09
	jsr lp2m_init
	lda #lo(irq)
	sta $FFFE
	lda #hi(irq)
	sta $FFFF
	lda #3
	sta $FF0B
	lda #2
	sta $FF0A
	cli
;	jmp *
disp	lda PCH1
	sec
	sbc #lo(Channel1_restart)
	sta $333
	lda PCH1+1
	sbc #hi(Channel1_restart)
	lsr a
	sta $334
	ror $333
	lda $334
	and #$0F
	tax
	lda hex_char,x
	sta $c01
	lda $334
	lsr a
	lsr a
	lsr a
	lsr a
	and #$0F
	tax
	lda hex_char,x
	sta $C00
	lda $333
	and #$0F
	tax
	lda hex_char,x
	sta $c03
	lda $333
	lsr a
	lsr a
	lsr a
	lsr a
	and #$0F
	tax
	lda hex_char,x
	sta $C02
	lda PCH2
	sec
	sbc #lo(Channel2_restart)
	sta $333
	lda PCH2+1
	sbc #hi(Channel2_restart)
	lsr a
	sta $334
	ror $333
	lda $334
	and #$0F
	tax
	lda hex_char,x
	sta $c09
	lda $334
	lsr a
	lsr a
	lsr a
	lsr a
	and #$0F
	tax
	lda hex_char,x
	sta $C08
	lda $333
	and #$0F
	tax
	lda hex_char,x
	sta $c0B
	lda $333
	lsr a
	lsr a
	lsr a
	lsr a
	and #$0F
	tax
	lda hex_char,x
	sta $C0A
	jmp disp

irq
	pha
	txa
	pha
	tya
	pha
	asl $FF09
	inc $FF19
	jsr lp2m_player
	dec $FF19
	pla
	tay
	pla
	tax
	pla
	rti

hex_char
	db $30,$31,$32,$33,$34,$35,$36,$37,$38,$39,1,2,3,4,5,6

lp2m_envelope
env01
	db $01, $03, $05, $08, $08, $05, $03, $01, $FF
env02
	db $08, $07, $06, $05, $04, $03, $02, $01, $FF
env03
	db $01, $02, $03, $04, $05, $06, $07, $08, $FF

lp2m_arpeggio
arp01
	db $00, $00, $04, $04, $07, $07, $80

lp2m_vibrato

Volume100
	ENVELOPE EFFECT_OFF
	INST     INS_NORMAL
	VOLUME   8
	VOLMAP_100PCT
EmptyDelay
	NOTE     OFF, 2
	END_PTN

pattern00
	NOTE INS_NORMAL, OFF, 64
	END_PTN

pattern01
	NOTE INS_NORMAL, OFF, 4
	END_PTN

pattern02
	NOTE INS_NORMAL, OFF, 60
	END_PTN

pattern11
	ENVELOPE env01
	NOTE D_4, 8
	NOTE E_4, 8
	NOTE G_4, 8
	NOTE E_4, 8
	NOTE G_4, 8
	NOTE E_4, 8
	NOTE G_4, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern12
	ENVELOPE env01
	NOTE D_5, 8
	NOTE E_5, 8
	NOTE G_5, 8
	NOTE E_5, 8
	NOTE G_5, 8
	NOTE E_5, 8
	NOTE G_5, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern13
	ENVELOPE env01
	NOTE B_5, 8
	NOTE A_5, 8
	NOTE G_5, 8
	NOTE E_5, 8
	NOTE G_5, 8
	NOTE E_5, 8
	NOTE G_5, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern14
	VOLUME 6
	ARP arp01
	NOTE INS_ARP, D_3, 56
	NOTE INS_NORMAL, OFF, 8
	VOLUME 8
	END_PTN

pattern15
	VOLUME 6
	NOTE INS_ARP, E_3, 56
	NOTE INS_NORMAL, OFF, 8
	VOLUME 8
	END_PTN

pattern16
	VOLUME 6
	NOTE INS_ARP, F_3, 56
	NOTE INS_NORMAL, OFF, 8
	VOLUME 8
	END_PTN

pattern17
	VOLUME 6
	NOTE INS_ARP, C_3, 56
	NOTE INS_NORMAL, OFF, 8
	VOLUME 8
	END_PTN

pattern18
	ENVELOPE env02
	NOTE D_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE G_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE G_4, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern19
	ENVELOPE env02
	NOTE D_4, 8
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE E_4, 8
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE E_4, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern1a
	ENVELOPE env02
	NOTE G_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE D_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE D_4, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern1b
	ENVELOPE env02
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE E_4, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern1c
	ENVELOPE env02
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE G_4, 8
	ENVELOPE env03
	NOTE D_4, 8
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE E_4, 8
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 8
	END_PTN

pattern1d
	ENVELOPE env02
	NOTE G_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE G_4, 8
	NOTE E_4, 8
	NOTE D_4, 4
	NOTE D_4, 4
	NOTE OFF, 4
	ENVELOPE EFFECT_OFF
	VOLUME 8
	NOTE OFF, 12
	END_PTN

pattern1e
	VOLUME 6
	NOTE INS_ARP, D_4, 8
	NOTE INS_NORMAL, OFF, 8
	NOTE INS_ARP, D_4, 8
	VOLUME 8
	NOTE INS_NORMAL, OFF, 8
	END_PTN

pattern20
	NOTE INS_SNARE, A_3, 2
	NOTE INS_NORMAL, OFF, 6
	NOTE INS_SNARE, B_3, 4
	NOTE INS_NORMAL, OFF, 12
	NOTE INS_SNARE, B_3, 4
	NOTE INS_NORMAL, OFF, 12
	NOTE INS_SNARE, A_3, 2
	NOTE INS_NORMAL, OFF, 2
	NOTE INS_SNARE, A_3, 2
	NOTE INS_NORMAL, OFF, 2
	NOTE INS_SNARE, A_3, 2
	NOTE INS_NORMAL, OFF, 14
	END_PTN

pattern21
	NOTE D_3, 56
	NOTE OFF, 8
	END_PTN

pattern22
	NOTE E_3, 56
	NOTE OFF, 8
	END_PTN

pattern23
	NOTE F_3, 56
	NOTE OFF, 8
	END_PTN

pattern24
	NOTE C_3, 56
	NOTE OFF, 8
	END_PTN

pattern25
	ARP arp01
	NOTE INS_ARP, E_3, 56
	NOTE INS_NORMAL, OFF, 8
	END_PTN

pattern26
	NOTE D_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE G_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE G_4, 8
	NOTE OFF, 8
	END_PTN

pattern27
	NOTE D_4, 8
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE E_4, 8
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE G_4, 4
	NOTE OFF, 4
	NOTE E_4, 8
	NOTE OFF, 8
	END_PTN

pattern28
	NOTE G_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE D_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE D_4, 8
	NOTE OFF, 8
	END_PTN

pattern29
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE G_4, 8
	NOTE D_4, 8
	NOTE E_4, 8
	NOTE OFF, 8
	END_PTN

pattern2a
	NOTE G_4, 8
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE E_4, 4
	NOTE OFF, 4
	NOTE G_4, 8
	NOTE E_4, 8
	NOTE D_4, 4
	NOTE OFF, 4
	NOTE D_4, 4
	NOTE OFF, 12
	END_PTN

pattern2b
	NOTE INS_SNARE, A_3, 4
	NOTE INS_NORMAL, OFF, 12
	NOTE INS_SNARE, A_3, 4
	NOTE INS_NORMAL, OFF, 12
	END_PTN

Channel1
Channel1_restart
	dw Volume100
	dw pattern11
	dw pattern14
	dw pattern11
	dw pattern15
	dw pattern11
	dw pattern16
	dw pattern11
	dw pattern17
	dw pattern12
	dw pattern14
	dw pattern12
	dw pattern15
	dw pattern12
	dw pattern16
	dw pattern11
	dw pattern17
	dw pattern13
	dw pattern14
	dw pattern13
	dw pattern15
	dw pattern13
	dw pattern16
	dw pattern11
	dw pattern17
	dw pattern18
	dw pattern19
	dw pattern1a
	dw pattern1b
	dw pattern18
	dw pattern19
	dw pattern1a
	dw pattern1b
	dw pattern01
	dw pattern18
	dw pattern19
	dw pattern1a
	dw pattern1c
	dw pattern18
	dw pattern19
	dw pattern1a
	dw pattern1b
	dw pattern18
	dw pattern19
	dw pattern1a
	dw pattern1b
	dw pattern1d
	dw pattern1d
	dw pattern1d
	dw pattern01
	dw pattern1e
;	dw pattern00
	dw 0

Channel2
Channel2_restart
	dw EmptyDelay
	dw pattern21
	dw pattern20
	dw pattern22
	dw pattern20
	dw pattern23
	dw pattern20
	dw pattern24
	dw pattern20
	dw pattern21
	dw pattern20
	dw pattern22
	dw pattern20
	dw pattern23
	dw pattern20
	dw pattern24
	dw pattern20
	dw pattern21
	dw pattern20
	dw pattern22
	dw pattern20
	dw pattern23
	dw pattern20
	dw pattern24
	dw pattern20
	dw pattern25
	dw pattern25
	dw pattern25
	dw pattern25
	dw pattern01
	dw pattern26
	dw pattern27
	dw pattern28
	dw pattern29
	dw pattern25
	dw pattern25
	dw pattern25
	dw pattern25
	dw pattern01
	dw pattern26
	dw pattern27
	dw pattern28
	dw pattern29
	dw pattern26
	dw pattern27
	dw pattern28
	dw pattern29
	dw pattern2a
	dw pattern2a
	dw pattern2a
	dw pattern2b
;	dw pattern00
	dw 0

	include "!lp2m_init.asm"
	include "!lp2m_player.asm"
	include "!lp2m_sound.asm"
	include "lp2m_normal.asm"
	include "lp2m_arp.asm"
	include "lp2m_snare.asm"
	include "lp2m_vibrato.asm"
	include "lp2m_freqtable.asm"
	include "lp2m_snaretable.asm"
	include "lp2m_volmap.asm"

	end
