;
; LoD Player 2 Modified
;
; Original by Csabo of Legion of Doom
;
; Modified by gerliczer
;
; 2020-12-25..2023-10-30
;
; Player configuration
;
; Use 1 to enable features and 0 to disable them

FREQ_TABLE_BUILD_ENABLED	equ		1	; Build frequency table

SPCH_ENABLED			equ		0	; Use SPCH

RETRIG_FUNC_ENABLED		equ		0	; Enable Retrigger function
ENVELOPE_FUNC_ENABLED		equ		1	; Enable Envelope
VOLUME_FUNC_ENABLED		equ		1	; Enable Volume control
VOLMAP_FUNC_ENABLED		equ		0	; Enable Volume mapping

CSABO_NOTATION_ENABLED		equ		0	; Use Csabo's notes and pitches

FORCE_PLAYER_SOUND_CALL		equ		0	; Force Player explicitly calling sound processing

ADD_HIHAT_ENABLED		equ		0	; Enable Hi-hat instrument
ARP_ENABLED			equ		0	; Enable Arpeggio instrument
ARPX_ENABLED			equ		0	; Enable Arpeggio instrument extra feature
SLIDER_ENABLED			equ		0	; Enable Slider instrument
VIBRATO_ENABLED			equ		1	; Enable Vibrato instrument
GLIDE_ENABLED			equ		0	; Enable Glide instrument
SNARE_ENABLED			equ		0	; Enable Snare instrument
SNARE2_ENABLED			equ		0	; Enable Snare 2 instrument (Requires Snare!)
BASSDRUM_ENABLED		equ		0	; Enable Bass-drum instrument

BUFFERED_PLAY_ENABLED		equ		0	; Enable saving output to buffer
BUFFER_DEPTH			equ		4	; Number of store outputs

lp2m_base			equ		$50	; LoD Player variables base address
lp2m_freqs			equ		$0500	; LoD Player frequency table base address
	if BUFFERED_PLAY_ENABLED
lp2m_store_cnt			equ		$DA
lp2m_store			equ		lp2m_store_cnt - BUFFER_DEPTH*5
	endif	; BUFFERED_PLAY_ENABLED

SINGLE_FILE_ENABLED		equ		1	; Include all functions
ENTRY_TABLE_ENABLED		equ		0	; Build jump table header
