;
; LoD Player 2 Modified
;
; Original by Csabo of Legion of Doom
;
; Modified by gerliczer
;
; 2020-12-25..2023-01-01
;
; Arpeggio instrument
;

	if ARP_ENABLED
lp2m_arp_restart
	and #$7F							; low bits is new position
	sta ARP_VIB_CNT1,x
lp2m_arp
		if ARPX_ENABLED	
		lda TONE1,x						; extra feature: OFF "knows" not to use arp
		cmp #OFF
		bne lp2m_arp0
		jmp lp2m_lookup
		endif	; ARPX_ENABLED
	;
lp2m_arp0
	ldy ARP_VIB_CNT1,x						; load current arp counter
	;
	cpx #$00							; check which channel
	beq lp2m_arp_ptr1
lp2m_arp_ptr2
	lda lp2m_arpeggio,y						; for channel 2 (self-mod)
;	jmp lp2m_arp1
	bcs lp2m_arp1
lp2m_arp_ptr1
	lda lp2m_arpeggio,y						; for channel 1 (self-mod)
lp2m_arp1
	bmi lp2m_arp_restart						; check for negative numbers
	;
	pha
	and #%01110000							; check if GT 15
	beq lp2m_arp_add						; go to add halftones
	pla
	and #$0F							; bottom 4 bits only
	eor #$FF							; negate - $X0 means -1
	db $24								; bit jump
lp2m_arp_add
	pla
	clc
	adc TONE1,x							; add halftones
	jmp lp2m_lookup
	endif	; ARP_ENABLED
